Skip to main content
`Ctrl`+`K`

# MatRetrieveValues

Retrieves the copy of the matrix values that was stored with `MatStoreValues()`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatRetrieveValues(Mat mat)

Logically Collect

## Input Parameter

- mat - the matrix (currently only `MATAIJ` matrices support this option)

## See Also

Matrices, `Mat`, `MatStoreValues()`

## Level

advanced

## Location

src/mat/impls/aij/seq/aij.c

## Implementations

MatRetrieveValues_MPIAIJ() in src/mat/impls/aij/mpi/mpiaij.c
MatRetrieveValues_SeqAIJ() in src/mat/impls/aij/seq/aij.c
MatRetrieveValues_MPIBAIJ() in src/mat/impls/baij/mpi/mpibaij.c
MatRetrieveValues_SeqBAIJ() in src/mat/impls/baij/seq/baij.c
MatRetrieveValues_MPISBAIJ() in src/mat/impls/sbaij/mpi/mpisbaij.c
MatRetrieveValues_SeqSBAIJ() in src/mat/impls/sbaij/seq/sbaij.c
MatRetrieveValues_MPISELL() in src/mat/impls/sell/mpi/mpisell.c
MatRetrieveValues_SeqSELL() in src/mat/impls/sell/seq/sell.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages